MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007174ardourbugspublic2016-12-11 11:382016-12-20 09:33
Reportermhartzel 
Assigned Topaul 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinux 64 BitOSGentooOS VersionCurrent
Product Version5.5 
Target VersionFixed in Version 
Summary0007174: Session did not load successfully: Cannot configure audio/midi engine with session parameters
DescriptionI have had this happen occasionally with Ardour versions 4.0 - 5.5.72
Jack Audio Connection Kit version 0.121.3-r1 (started with QjackCTRL: /usr/bin/jackd -dalsa -dhw:PCH -r44100 -p1024 -n3 -Xseq)

If I load different sessions without closing Ardour, after a couple of loads Ardour fails to load the session with error message:

Session xxx (snapshot xxx) did not load successfully: Cannot configure audio/midi engine with session parameters

If Ardour was started from a terminal it prints the following text:

ERROR: JACK: cannot deliver port registration request
ERROR: unable to create port: failed constructor
Steps To ReproduceI had trouble reproducing this with sessions created just for testing this problem. So I zipped two of my old test sessions that always produces the problem on my system. They can be downloaded here (18.8 MB, Sample Rate 44.1 kHz):

https://dl.dropboxusercontent.com/u/2071830/Ardour-test_sessions.tgz [^]

or here:

https://drive.google.com/open?id=0B3NKiXIefniOd3BtQXo4ZkVVT1k [^]

- Untar the test - session archive. There are two Ardour sessions inside
- Start jack
- Start Ardour and use it with jack

1. Load test session named:1000_Small_Audio_FIles
2. Close session, but do not shut down Ardour
3. Load test session: Ardour-grafiikkabugi
4. Close session, but do not shut down Ardour
5. Load test session named:1000_Small_Audio_FIles

At this point on my system Ardour complains:

Session 1000_Small_Audio_FIles (snapshot 1000_Small_Audio_FIles) did not load successfully: Cannot configure audio/midi engine with session parameters
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019146)
mhartzel (reporter)
2016-12-11 11:46

Forgot to say that when the problem appears I can load the offending session without problems if I first shut down Ardour and start it up again.

The problem only happens when loading and closing sessions without shutting down Ardour. The sessions are all fine and load successfully if Ardur has been shut down first.

Can it be a problem in how Ardour resets its state between session loads ?
(0019147)
x42 (administrator)
2016-12-11 18:31

ERROR: JACK: cannot deliver port registration request

will result in undefined behavior in Ardour, possibly crashes.

I didn't yet look at the session(s) but if a jack port remains after unloading a session and loading another next session tries to re-create that port and that fails, that'll explain it.
(0019157)
mhartzel (reporter)
2016-12-14 07:30

I saw that git repository had some changes that might affect this problem, so today I tested again with Ardour 5.5.114 and the problem is still there and can be reproduced with my test sessions.
(0019163)
Duke_OF_Sound (reporter)
2016-12-17 09:55

I am running Ardour 5.5 on Ubuntu Studio 16.04 on a 2010 Mac DeskPro (Ubuntu is the only OS). I can successfully create sessions. However, if I close the session, then try to reopen most sessions I have created in Ardour 5.5, I get the same error message that @mhartzel reported. If I close and reopen Ardour, I can successfully open the session. I open and run Ardour, strictly through Ardour, and do not start JACK first; previously I did not have problems with this approach.

I copied the session to an iMac running Ardour 5.5 and saw the same results. New sessions created on the iMac do not give me the error message.

Here is the link in Dropbox:
https://www.dropbox.com/sh/32qp1in1014cd51/AACIJ9RxFo-Qc5Mjggrk6CmTa?dl=0 [^]

Here is the link in Google:
https://drive.google.com/drive/folders/0B7eGFG_JFUHjRFp2WDJISWc1ZG8 [^]

Process:
Load session: 20161214 Band_Template
Close session but do not close Ardour
Load session: 20161214 Band_Template

At this point I get the error message:20161214 Band_Template (snapshot 20161214 Band_Template) did not load successfully: Cannot configure audio/midi engine with session parameters.

I get the same error on Ubuntu and the Mac. If I try to open most of the other sessions I created in Ardour 5.5, I get the same result. I have tested with/without the monitor, with/without busses, with/without VCAs and found the same result.
(0019164)
x42 (administrator)
2016-12-17 14:06

How large is the session?

"ERROR: JACK: cannot deliver port registration request"

Maybe the default number of jack ports (256) isn't enough? ~50 stereo tracks (2in, 2 out) plus master-bus and a few more for hardware i/o and control and maybe a couple more jack apps will exceed that.
If that's the case: use jackd's -p option to bump it to 1024 or more
(0019165)
mhartzel (reporter)
2016-12-17 14:30

I bumped Port Maximum to 1024 in QJackCTRL and ran the test again. No change I still get the error at the same spot on the test.

My test sessions are not big track-wise:

- Session "1000_Small_Audio_FIles" is 20 mono and 1 stereo tracks, no busses, no plugins.
- Session "Ardour-grafiikkabugi" is 10 mono tracks, no busses, no plugins.

The only jack client running is Ardour 5.5.114.

running ps aux | grep jackd printed:

/usr/bin/jackd -p1024 -dalsa -dhw:PCH -r44100 -p1024 -n3 -Xseq
(0019166)
x42 (administrator)
2016-12-17 15:13

Disable the Faderport control surface in "1000_Small_Audio_FIles", after that I can switch between the 2 sessions indefinitely.

The actual error message is:
    Failed to register port "Faderport Recv", reason is unknown from here

The bug is that you cannot current re-load any session that uses a Faderport without closing Ardour.
(0019167)
mhartzel (reporter)
2016-12-17 15:26

Confirmed :) In my case disabling Faderport support and saving the session solved the problem. Thanks for getting to the bottom of this x42 :)

Duke Of Sound: Does this solve the problem in your case ?
(0019168)
mhartzel (reporter)
2016-12-17 16:04

I downloaded Duke Of Sound's test session and it also had Faderport enabled in the preferences. At first I did not disable it and I could quickly reproduce the problem by reloading the session.

After disabling Faderport support and saving the session the problem went away and the session could be reloaded at will without problems.
(0019169)
paul (administrator)
2016-12-17 16:08

This should be fixed in git as of 1223c8d1cd988c
(0019170)
Duke_OF_Sound (reporter)
2016-12-17 16:28

I tested it on the session I sent to you and it worked. I will do more testing tomorrow, but I think this solves the problem. I don't use Presonus anything, so this won't bother me. Thanks for solving this x42.
(0019201)
mhartzel (reporter)
2016-12-20 09:26

I tested with Ardour 5.5.242 and the bug is gone :) I can keep Faderport enabled in preferences and sessions can be loaded, closed and reloaded without problems.

Thanks x42 and Paul :)
(0019202)
paul (administrator)
2016-12-20 09:33

see notes.

- Issue History
Date Modified Username Field Change
2016-12-11 11:38 mhartzel New Issue
2016-12-11 11:46 mhartzel Note Added: 0019146
2016-12-11 18:31 x42 Note Added: 0019147
2016-12-14 07:30 mhartzel Note Added: 0019157
2016-12-17 09:55 Duke_OF_Sound Note Added: 0019163
2016-12-17 14:06 x42 Note Added: 0019164
2016-12-17 14:30 mhartzel Note Added: 0019165
2016-12-17 15:13 x42 Note Added: 0019166
2016-12-17 15:26 mhartzel Note Added: 0019167
2016-12-17 16:04 mhartzel Note Added: 0019168
2016-12-17 16:08 paul Note Added: 0019169
2016-12-17 16:28 Duke_OF_Sound Note Added: 0019170
2016-12-20 09:26 mhartzel Note Added: 0019201
2016-12-20 09:33 paul Note Added: 0019202
2016-12-20 09:33 paul Status new => resolved
2016-12-20 09:33 paul Resolution open => fixed
2016-12-20 09:33 paul Assigned To => paul


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker